Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Delete Scheduled Job

Cancels and removes a scheduled job by its ID. The job will no longer execute at the scheduled time.

DELETE/api/v1/{team_slug}/{app_slug}/schedule/{job_id}
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
app_slugstringrequired

App slug

team_slugstringrequired

Team slug

job_idstringrequired

Job id

Responses
200

Job is scheduled

datainternal_pkg_webserver_v1.DeleteSchedulingResponserequired
Show properties
idstring
item_namestring
detailsstring[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

successbooleanrequired
400

Invalid request (e.g. bad UUID, validation error)

detailsstring[]
messagestring
successbooleanrequired
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Request
curl -X DELETE 'https://api.enad.io/api/v1/string/string/schedule/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": {
    "id": "string",
    "item_name": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}